import { ButtonOne } from "../components/Buttons";
import { QaBox, SpecialQaBox } from "../components/Boxes";
import { useEffect } from "react";
import { useLocation } from "react-router-dom";
import { openFromOtherPage } from "../components/Buttons";
export function Ints() {
  const location = useLocation();
    useEffect(() => {
        const params = new URLSearchParams(location.search);
        const collapseId = params.get('collapseId');
        const tabId = params.get('tab');

        // Scroll to the section specified by collapseId
        if (collapseId) {
            const collapseElement = document.getElementById(collapseId);
            if (collapseElement) {
                const elementTop = collapseElement.getBoundingClientRect().top + window.pageYOffset;
                const offset = window.innerHeight / 2 - collapseElement.offsetHeight / 2;
                const scrollPosition = elementTop - offset;

                window.scrollTo({
                    top: scrollPosition,
                    behavior: 'smooth',
                });
            }
        }

        // Open the tab specified by tabId
        if (tabId) {
            openFromOtherPage(tabId)({ currentTarget: document.getElementById(tabId)! });
        }
    }, [location.search]);

    return (
      <>
        <br/>
        <section className="col" id="maxH">
          <h3 id="max">Max Beckmann</h3>
              <hr/>
              <div className="row">
              <div className="col-2">
              <div className="t-tag Patient">
                  Patient
              </div>
              </div>
              <div className="col">Original language: German</div>
              </div>
              <br/>
              <div className="row">
                <div className="col">
                  <div className="col">
                      <ButtonOne text="Erstes Interview" open="maxinv1"></ButtonOne>
                  </div>
                  <br/>
                  <div className="col">
                      <ButtonOne text="Zweites Interview" open="maxinv2"></ButtonOne>
                    </div>
                  </div>
                  <div className="col-3">
                    <img className="interview-img" src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                  </div>
              </div>
              <div className="col cycletab" id="maxinv1" style={{display: "block"}}>
              <h2>Notes from the first interview</h2>
                <br/>
                <QaBox
                  q="Question"
                  a="Answer"
                  />
              </div>
              <div className="col cycletab" id="maxinv2" style={{display: "none"}}>
              <h2>Notes from the second interview</h2>
                <br/>
                <QaBox
                  q="Question"
                  a="Answer"
                  />
              </div>
        </section>
        <br/>
        <section className="col" id="olariuH">
          <h3 id="olariu">Cristian-Gabriel Olariu</h3>
              <hr/>
              <div className="row">
              <div className="col-2">
              <div className="t-tag Medical">
                Pediatrician
              </div>
              </div>
              <div className="col">Original language: German</div>
              </div>
              <br/>
              <div className="row">
                  <div className="col-3">
                    <img className="interview-img" src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                  </div>
                  <div className="col">
                  </div>
              </div>
              <div className="col">
              <h2>Notes from the interview</h2>
                <br/>
                <QaBox
                  q="Question"
                  a="Answer"
                  />
              </div>
        </section>
        <br/>
        <section className="col" id="joshuaH">
        <h3 id="joshua">Joshua Bauder</h3>
              <hr/>
              <div className="row">
              <div className="col-2">
              <div className="t-tag Patient">
                Parent
              </div>
              </div>
              <div className="col">Original language: English</div>
              </div>
              <br/>
              <div className="row">
                  <div className="col"></div>
                  <div className="col-3">
                    <img className="interview-img" src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                  </div>
              </div>
              <div className="col">
              <h2>Notes from the interview</h2>
                <br/>
                <QaBox
                  q="Question"
                  a="Answer"
                  />
              </div>
        </section>
        <br/>
        <section className="col" id="juliaH">
          <h3 id="julia">Julia</h3>
              <hr/>
              <div className="row">
              <div className="col-2">
              <div className="t-tag Patient">
                Parent
              </div>
              </div>
              <div className="col">Original language: German</div>
              </div>
              <br/>
              <div className="row">
                  <div className="col-3">
                    <img className="interview-img" src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                  </div>
                  <div className="col">
                  </div>
              </div>
              <div className="col">
              <h2>Notes from the interview</h2>
                <br/>
                <QaBox
                  q="Question"
                  a="Answer"
                  />
              </div>
        </section>
        <br/>
        <section className="col" id="nicoleH">
        <h3 id="nicole">Nicole Friedlein</h3>
              <hr/>
              <div className="row">
              <div className="col-2">
              <div className="t-tag Academia">
                Academia
              </div>
              </div>
              <div className="col">Original language: German</div>
              </div>
              <br/>
              <div className="row">
                  <div className="col"></div>
                  <div className="col-3">
                    <img className="interview-img" src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                  </div>
              </div>
              <div className="col">
              <h2>Notes from the interview</h2>
                <br/>
                <QaBox
                  q="Question"
                  a="Answer"
                  />
              </div>
        </section>
        <br/>
        <section className="col" id="mattijsH">
          <h3 id="mattijs">Mattijs Bulcean</h3>
              <hr/>
              <div className="row">
              <div className="col-2">
              <div className="t-tag Academia">
                  Academia
              </div>
              </div>
              <div className="col">Original language: English</div>
              </div>
              <br/>
              <div className="row">
                  <div className="col-3">
                    <img className="interview-img" src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                  </div>
                  <div className="col">
                  <div className="col">
                      <ButtonOne text="Erstes Interview" open="mattijsinv1"></ButtonOne>
                  </div>
                  <br/>
                  <div className="col">
                      <ButtonOne text="Zweites Interview" open="mattijsinv2"></ButtonOne>
                    </div>
                  </div>
              </div>
              <div className="col cycletab" id="mattijsinv1" style={{display: "block"}}>
                <h2>Notes from the first interview</h2>
                <br/>
                <QaBox
                  q="Question"
                  a="Answer"
                  />
              </div>
              <div className="col cycletab" id="mattijsinv2" style={{display: "none"}}>
              <h2>Notes from the second interview</h2>
                <br/>
                <QaBox
                  q="Question"
                  a="Answer"
                  />
              </div>
        </section>
        <br/>
        <section className="col" id="westhoffH">
          <h3 id="westhoff">Katrin Westhoff</h3>
              <hr/>
              <div className="row">
              <div className="col-2">
              <div className="t-tag Medical">
                Physiotherapist
              </div>
              </div>
              <div className="col">Original language: German</div>
              </div>
              <br/>
              <div className="row">
                <div className="col">
                </div>
                <div className="col-3">
                  <img className="interview-img" src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                </div>
              </div>
              <div className="col">
                <h3>Notes from the interview</h3>
                <br/>
                  {/* <QaBox
                  q="Question"
                  a="Answer"
                  /> */}
                  <QaBox
                  q="From what age do the patients come to you?"
                  a="The patients come to us at a very early age. It is always very difficult, for the parents in particular, to deal with the new situation. A definite diagnosis is made after 6 weeks at the latest. Once the diagnosis has been made, the whole family is genetically tested, i.e. the parents and siblings."
                  />
                  <QaBox
                  q="How long do they stay?"
                  a="When the children are discharged from hospital, they are immediately sent for physiotherapy. However, therapy often starts in hospital. These often also have CF outpatient clinics, such as the Bethel Clinic in Bielefeld."
                  />
                  <QaBox
                  q="How many patients do you treat?"
                  a="We currently have 8 children with cystic fibrosis in our medical practice, which is quite a lot. However, if you compare this number with other diseases, it is rather a small number. We have slightly more children with cystic fibrosis in our practice because we specialize in it, among other diseases."
                  />
                  <SpecialQaBox
                  q="What kind of exercises do you do?">
                    <p>We do a lot of breathing therapy. In any case, it is important to say that we have attended special training courses for CF that have shown us new techniques. In general, the same things are taught in training as 25 years ago, but unfortunately this doesn't help CF patients as well as the new techniques. The current gold standard is autogenous drainage according to Chevallier. This works very well! In general, the main problem is the mucus that cannot be removed. With autogenous drainage, the chest is compressed, which forces the mucus out. It's like cleaning the lungs from the inside, which works really well. It is also very important to inhale, whereby there are 3 different levels of salt content (0.9%, 3% or 6%). Children with CF always use at least 3% salt content.</p>
                    <p>Our general routine is as follows: </p>
                    <p>
                      <ol>
                        <li>wet inhalation, as moisture binds mucus</li>
                        <li>drainage to get mucus out of the lungs</li>
                        <li>antibiotics, now the medication can work best as the lungs are clean and dilated</li>
                      </ol>
                    </p>
                    <p>There are also so-called “magic points”. Compression of these points leads to the best possible ventilation of the lungs. There are special belts for compressing these points that patients can wear at home to help them breathe better. Older patients wear these belts during sport.</p>
                  </SpecialQaBox>
                  <QaBox
                  q="When does drainage start? "
                  a="We start drainage in newborns so that the mucus cannot settle as much. "
                  />
                   <QaBox
                  q="Are there special exercises that can also be done at home? "
                  a="Yes, the parents are instructed to do the exercises which we also do in our practice."
                  />
                  <QaBox
                  q="How often does the therapy take place? "
                  a="Therapy usually takes place once a week or every two weeks. Thanks to improved medication, the children affected are now in a much better position. The therapy has changed considerably over time and has improved significantly. Less and more fluid mucus makes it easier to cough up, which in turn increases the children's life expectancy. Sport and exercise play a central role in therapy and should be fun, as they must be carried out for life. From the age of 8 or 9, exercise such as cycling to school should be the norm. "
                  />
                  <QaBox
                  q="What would happen if no physiotherapy was performed? "
                  a="It is difficult to predict exactly what would happen if physiotherapy was not carried out, as there is no comparison group. There is no reason not to do the therapy. If children do not receive physiotherapy over a longer period of time, they often become more mucousy and their ventilation worsens. Specific therapy is absolutely necessary at the latest in the event of an infection.  "
                  />
                   <QaBox
                  q="How do you measure success (in terms of lung function test, exercise, etc.)? "
                  a="The success of the therapy is measured subjectively by listening to and feeling the breathing and by observing the children's skin. An exact answer to the success measurement is difficult. A well-ventilated lung volume is indicated by a “full barrel”, while wheezing and vibrating indicate poor ventilation. Vegetative signs such as a white mouth-nose triangle indicate a high level of stress. In the clinic, lung function tests, CO2 measurements and “finger clip” tests are performed. However, children can sometimes try to influence the tests, so the results are not always reliable.  "
                  />
                  <QaBox
                  q="Do the exercises bring relief or are they preventative for further complaints? "
                  a="The exercises serve both to relieve acute infections and to prevent further complaints. The fewer lung infections there are, the lower the likelihood of adhesions of mucus.  "
                  />
                  <QaBox
                  q="Are there any tools to perform therapy? "
                  a="Devices such as the “flutter” or “cornet” are used to support exhalation. These devices look like a whistle with a metal ball inside. When exhaling, the ball moves and creates vibrations that loosen the mucus in the lungs. Such devices should be used by all children with lung diseases. "
                  />
                  <QaBox
                  q="What complaints do patients bring with them? "
                  a="Patients often have lung problems, dry lung mucosa and problems with the pancreas. The latter leads to poor metabolism, which is why those affected have to take enzyme therapeutics before eating. Children often have growth disorders due to a lack of food, which is why nutritional advice is essential. Some children also have problems with excessive perspiration, although this is less common.  "
                  />
                  <QaBox
                  q="Are pancreatic complaints also treated by physiotherapists? "
                  a="Pancreatic complaints are rarely treated with physiotherapy, unless it is an inflammation. In such cases, the patient is admitted to a hospital. Massage or taping the intestines with kinesiology tape helps with constipation and works very well. "
                  />
                  <QaBox
                  q="Are there any special hygiene guidelines for you when working with cystic fibrosis patients? "
                  a="Hygiene guidelines are very important when working with cystic fibrosis patients. A distinction is made between children with and without infections (Pseudomonas). Regular nasal swabs are taken and only children with or without infections are treated in the practice on any given day. Ventilation, patients wearing masks while infected and disinfection of the facilities are essential. Children infected with multi-resistant germs are not allowed to enter the practice; in such cases, physiotherapists visit the patients' homes. "
                  />
                  <QaBox
                  q="Are the specific exercises customized? And if so, how do you know which therapy is the right one for which patient (based on laboratory values, tests, different mutation patterns...)? "
                  a="The exercises are individually adapted to the patient's current situation. Important criteria are the removal of mucus and ventilation of the lungs. Each therapist has their own approach and preferred exercises and techniques. "
                  />
                  <QaBox
                  q="Do patients always go to the same physiotherapist? "
                  a="If therapy goes well, patients stay with the same physiotherapist."
                  />
                  <QaBox
                  q="How many physiotherapists offer muco-therapy? "
                  a="The exact number of physiotherapists offering cystic fibrosis therapy is unknown. However, there are several child therapists in the region providing this therapy. "
                  />
                  <QaBox
                  q="How are the relatives educated? "
                  a="Educating relatives often begins in the maternity ward with a sweat test. Affected children are often recognizable due to poor food intake. In Gütersloh, where our office is located, all children are sent to Bethel, where they immediately receive CF care. Parents are often traumatized, as the children are severely ill despite often appearing healthy."
                  />
                  <QaBox
                  q="What are the limitations of individual medicine? "
                  a="The effectiveness of drugs can vary, and some are only approved from a certain age. Better medications can significantly enhance the quality of life and life expectancy. "
                  />
              </div>
            
        </section>
        <br/>
        <section className="col"  id="berensH">
          <h3 id="berens">Dr. Eva-Maria Berens</h3>
              <hr/>
              <div className="row">
              <div className="col-4">
              <div className="t-tag Academia">
                Ethics Committee of Bielefeld University 
              </div>
              </div>
              <div className="col">Original language: German</div>
              </div>
              <br/>
              <div className="row">
                  <div className="col-3">
                    <img className="interview-img" src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                  </div>
                  <div className="col">
                  </div>
              </div>
              <div className="col">
              <h3>Notes from the interview</h3>
                <br/>
                <QaBox
                  q="Question"
                  a="Answer"
                  />
              </div>
        </section>  
        <br/>
        <section className="col" id="wischmeyerH">
        <h3 id="wischmeyer">Prof. Dr. Erhard Wischmeyer</h3>
              <hr/>
              <div className="row">
              <div className="col-6">
              <div className="t-tag Academia">
              Research Group Cellular Neurophysiology, Bielefeld University
              </div>
              </div>
              <div className="col">Original language: German</div>
              </div>
              <br/>
              <div className="row">
                  <div className="col"></div>
                  <div className="col-3">
                    <img className="interview-img" src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                  </div>
              </div>
              <div className="col">
              <h3>Notes from the interview</h3>
                <br/>
                <QaBox
                  q="Can you educate us about your academic career? "
                  a="I did my doctorate 30 years ago at Bielefeld University and then worked at the Max Planck Institute in Göttingen a lot with the Patch-Clamp p technique. Today, I’m head of the working group Cellular Neurophysiology of the medicine faculty of Bielefeld University. "
                  />
                  <QaBox
                  q="What new methods are currently available in electrophysiological research? "
                  a="One of the latest methods is E-cis measurements. These make it possible to examine a monolayer of confluent cells and to measure the membrane potential both above and below. The change in conductivity can be analyzed for instance as a function of CFTR expression. "
                  />
                  <QaBox
                  q="How can we proceed with the investigation of CFTR in different cell cultures by Patch-Clamp? "
                  a="You can study CFTR expression in HEK cells, which allows for a measurable change in chloride conductance. I am not sure whether we will be able to investigate CFTR sufficiently in epithelial cells which you want to collect from your CF patient friend and your team members. That is something we have to try out. "
                  />
                  <QaBox
                  q="How challenging is the measurement of CFTR conductance in epithelial cells? "
                  a="CFTR in epithelial cells has very low conductivity in the femtoampere range. Therefore, extremely sensitive testing is necessary to obtain meaningful results.  "
                  />
                  <QaBox
                  q="How challenging is the Patch-Clamp measurement of CFTR conductance in epithelial cells? "
                  a="The project will could take at least one year, even for experienced researchers. "
                  />
                  <QaBox
                  q="What technical challenges do we face in implementing the Patch-Clamp measurements? "
                  a="One of the biggest challenges is measuring the current across the entire cell, as we do not want to carry out single-channel measurements, but rather record the current across cells with a strongly expressing vector carrying the gene for the ion channel. "
                  />
                  <QaBox
                  q="What requirements must be met for cultivation and transfection before the Patch-Clamp measurement? "
                  a="You have to cultivate the cells on poly-lysine and laminin and use round coverslips of 10 mm diameter to prepare them for measurement. For identification of positive transfectants, we use GFP co-transfected cells in our working group, you should think of something like that as well. A transfection rate of 10 % is sufficient to gain enough cells for the measurement. You can think of optimizing your transfection by using Lipofectamin2000 than Lipofectamine2000, which works good for our working group. "
                  />
                  <QaBox
                  q="Who could help us with the Patch-Clamp measurements? "
                  a="The Patch-Clamp devices are heavily utilized in our working group, so you probably cannot perform measurements on your own. However, postdocs could support you for some measurements. Dr. Oliver Dräger is available as a contact person of my working group. "
                  />
              </div>
        </section>
        <br/>
      </>
    );
  }
    